body {
    margin: 0;
    padding: 0;
    background-color: #f0f0f0;
}
/* Mapa*/
#map {
    width: 1800px;
    height: 850px;
    margin: 20px auto;
    border: 2px solid #333;
    border-radius: 8px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}
/*contorno de popup*/
.leaflet-popup-content-wrapper {
    background: white !important;
    border-radius: 4px !important;
    padding: 15px !important;
    box-shadow: 0 3px 14px rgba(0, 0, 0, 0.3) !important;
}
/*triangulo del popup*/
.leaflet-popup-tip {
    background: white;
}
/* contenido del popup */
.leaflet-popup-content {
    margin: 5px 10px !important;
    width: auto !important;
    white-space: nowrap;
}
/* Estilos para el contenido del popup */
.popup-container {
    font-family: Arial, sans-serif;
    line-height: 1.2;
    color: #000000;
}
/* Títulos y estatus */
.popup-titulo {
    font-size: 14px;
    font-weight: bold;
    text-decoration: underline;
    display: block;
}
/* Estado del aviso */
.popup-estado {
    font-size: 14px;
    display: block;
    font-weight: bold;
    margin-top: 2px;
}
/* Fecha y causa */
.popup-fecha,
.popup-causa {
    font-size: 12px;
    color: #888 !important;
    display: block;
    margin-top: 2px;
}
/* Estilos para el tooltip de edición */
.tooltip-edit {
    background-color: white !important;
    border: none !important;
    border-radius: 4px !important;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2) !important;
    color: black !important;
    font-family: Arial, sans-serif !important;
    font-weight: bold !important;
    font-size: 14px !important;
    padding: 5px 10px !important;
}
/* Triángulo del tooltip */
.tooltip-edit::before {
    border-top-color: white !important;
}
/* Estilos para el botón "centrarmapa" */
.center-control {
    background-color: white;
    width: 125px;
    height: 27px;
    font-size: 16px;
    font-weight: bold;
    line-height: 30px;
    text-align: center;
    cursor: pointer;
    border-radius: 4px;
    position: absolute;
    left: 1800%;
    top: -10px;
    margin-left: -100px;
}
/* Efecto hover para el botón "Ver Todos" */
.center-control:hover {
    background-color: #f4f4f4;
}
/* Estilos para el control de grupos personalizado */
.leaflet-control-layers-overlays input.leaflet-control-layers-selector {
    display: none;
    
}
/* Estilos para las etiquetas de las grupos */
.leaflet-control-layers-overlays label {
    display: flex !important;
    align-items: center !important;
    margin-bottom: 6px;
    cursor: pointer;
    font-family: Arial, sans-serif;
    width: 330px;
    height: 20px;
    font-size: 13px;
}
/* Estilos para las imágenes de los grupos */
.img-filtro {
    width: 18px;
    height: 18px;
    display: inline-block;
    vertical-align: middle;
}
.btn-ver-todos {
    width: 100%;
    margin-bottom: 10px;
    padding: 8px;
    cursor: pointer;
    font-weight: bold;
    font-family: Arial, sans-serif;
    background-color: #ffffff;
    border: 1px solid #cccccc;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background 0.2s;
}

.btn-ver-todos:hover {
    background-color: #f0f0f0;
}

/* Imagen dentro del botón */
.img-btn {
    width: 18px;
    margin-right: 8px;
}